<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:iwlz="http://www.istandaarden.nl/iwlz/2_4/basisschema/schema"
                xmlns:aw33="http://www.istandaarden.nl/iwlz/2_4/aw33/schema"
                xmlns:aw35="http://www.istandaarden.nl/iwlz/2_4/aw35/schema"
                xmlns:aw39="http://www.istandaarden.nl/iwlz/2_4/aw39/schema"
                xmlns:io31="http://www.istandaarden.nl/iwlz/2_4/io31/schema"
                xmlns:zk31="http://www.istandaarden.nl/iwlz/2_4/zk31/schema"
                xmlns:zk33="http://www.istandaarden.nl/iwlz/2_4/zk33/schema"
                xmlns:zk35="http://www.istandaarden.nl/iwlz/2_4/zk35/schema"
                xmlns:zk39="http://www.istandaarden.nl/iwlz/2_4/zk39/schema"
>
    <!-- iWlz 2.4 CS139 version 2.9.3 (2022-06-30) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS139"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS139"/>
    </xsl:template>

    <xsl:template match="*[iwlz:Datum and iwlz:DatumGebruik]" mode="CS139">
        <xsl:choose>
            <xsl:when test="iwlz:DatumGebruik = '3' and iwlz:Datum != '1900-01-01'">
                <xsl:call-template name="addError">
                    <xsl:with-param name="pElements" select="iwlz:Datum | iwlz:DatumGebruik"/>
                    <xsl:with-param name="pRule">
                        CS139
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:when>
            <xsl:when test="iwlz:DatumGebruik = '2' and substring-after(iwlz:Datum, '-') != '01-01'">
                <xsl:call-template name="addError">
                    <xsl:with-param name="pElements" select="iwlz:Datum | iwlz:DatumGebruik"/>
                    <xsl:with-param name="pRule">
                        CS139
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:when>
            <xsl:when test="iwlz:DatumGebruik = '1' and substring-after(substring-after(iwlz:Datum, '-'), '-') != '01'">
                <xsl:call-template name="addError">
                    <xsl:with-param name="pElements" select="iwlz:Datum | iwlz:DatumGebruik"/>
                    <xsl:with-param name="pRule">
                        CS139
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:when>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>
