<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:aw33="http://www.istandaarden.nl/iwlz/2_4/aw33/schema"
                xmlns:io31="http://www.istandaarden.nl/iwlz/2_4/io31/schema"
                xmlns:zk31="http://www.istandaarden.nl/iwlz/2_4/zk31/schema"
                xmlns:zk33="http://www.istandaarden.nl/iwlz/2_4/zk33/schema"
>
    <!-- iWlz 2.4 TR015 version 2.9.3 (2022-06-30) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR015"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR015"/>
    </xsl:template>

    <xsl:template match="aw33:Indicatie" mode="TR015">
        <xsl:param name="pAfgifteDatum" select="aw33:Afgiftedatum"/>

        <xsl:if test="translate($pAfgifteDatum, '-', '') >= translate('2023-01-01', '-', '')">
            <xsl:variable name="minDate">
                <xsl:call-template name="minDate">
                    <xsl:with-param name="pList" select="*[local-name() = 'GeindiceerdeZorgzwaartepakketten' or local-name() = 'GeindiceerdeFuncties']/*/aw33:Ingangsdatum"/>
                    <xsl:with-param name="pAccumulator">9999-99-99</xsl:with-param>
                </xsl:call-template>
            </xsl:variable>

            <xsl:call-template name="checkDateEquals">
                <xsl:with-param name="pThis" select="aw33:Ingangsdatum"/>
                <xsl:with-param name="pOther" select="*[local-name() = 'GeindiceerdeZorgzwaartepakketten' or local-name() = 'GeindiceerdeFuncties']/*/aw33:Ingangsdatum[text() = $minDate]"/>
                <xsl:with-param name="pRule">TR015</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

    <xsl:template match="io31:Indicatie" mode="TR015">
        <xsl:param name="pAfgifteDatum" select="io31:Afgiftedatum"/>

        <xsl:if test="translate($pAfgifteDatum, '-', '') >= translate('2023-01-01', '-', '')">
            <xsl:variable name="minDate">
                <xsl:call-template name="minDate">
                    <xsl:with-param name="pList" select="*[local-name() = 'GeindiceerdeZorgzwaartepakketten' or local-name() = 'GeindiceerdeFuncties']/*/io31:Ingangsdatum"/>
                    <xsl:with-param name="pAccumulator">9999-99-99</xsl:with-param>
                </xsl:call-template>
            </xsl:variable>

            <xsl:call-template name="checkDateEquals">
                <xsl:with-param name="pThis" select="io31:Ingangsdatum"/>
                <xsl:with-param name="pOther" select="*[local-name() = 'GeindiceerdeZorgzwaartepakketten' or local-name() = 'GeindiceerdeFuncties']/*/io31:Ingangsdatum[text() = $minDate]"/>
                <xsl:with-param name="pRule">TR015</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

    <xsl:template match="zk31:Indicatie" mode="TR015">
        <xsl:param name="pAfgifteDatum" select="zk31:Afgiftedatum"/>

        <xsl:if test="translate($pAfgifteDatum, '-', '') >= translate('2023-01-01', '-', '')">
            <xsl:variable name="minDate">
                <xsl:call-template name="minDate">
                    <xsl:with-param name="pList" select="*[local-name() = 'GeindiceerdeZorgzwaartepakketten' or local-name() = 'GeindiceerdeFuncties']/*/zk31:Ingangsdatum"/>
                    <xsl:with-param name="pAccumulator">9999-99-99</xsl:with-param>
                </xsl:call-template>
            </xsl:variable>

            <xsl:call-template name="checkDateEquals">
                <xsl:with-param name="pThis" select="zk31:Ingangsdatum"/>
                <xsl:with-param name="pOther" select="*[local-name() = 'GeindiceerdeZorgzwaartepakketten' or local-name() = 'GeindiceerdeFuncties']/*/zk31:Ingangsdatum[text() = $minDate]"/>
                <xsl:with-param name="pRule">TR015</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

    <xsl:template match="zk33:Indicatie" mode="TR015">
        <xsl:param name="pAfgifteDatum" select="zk33:Afgiftedatum"/>

        <xsl:if test="translate($pAfgifteDatum, '-', '') >= translate('2023-01-01', '-', '')">
            <xsl:variable name="minDate">
                <xsl:call-template name="minDate">
                    <xsl:with-param name="pList" select="*[local-name() = 'GeindiceerdeZorgzwaartepakketten' or local-name() = 'GeindiceerdeFuncties']/*/zk33:Ingangsdatum"/>
                    <xsl:with-param name="pAccumulator">9999-99-99</xsl:with-param>
                </xsl:call-template>
            </xsl:variable>

            <xsl:call-template name="checkDateEquals">
                <xsl:with-param name="pThis" select="zk33:Ingangsdatum"/>
                <xsl:with-param name="pOther" select="*[local-name() = 'GeindiceerdeZorgzwaartepakketten' or local-name() = 'GeindiceerdeFuncties']/*/zk33:Ingangsdatum[text() = $minDate]"/>
                <xsl:with-param name="pRule">TR015</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
