<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:aw317="http://www.istandaarden.nl/iwlz/2_4/aw317/schema"
	xmlns:aw33="http://www.istandaarden.nl/iwlz/2_4/aw33/schema"
	xmlns:aw35="http://www.istandaarden.nl/iwlz/2_4/aw35/schema"
	xmlns:aw39="http://www.istandaarden.nl/iwlz/2_4/aw39/schema"
	xmlns:ca317="http://www.istandaarden.nl/iwlz/2_4/ca317/schema"
	xmlns:ca319="http://www.istandaarden.nl/iwlz/2_4/ca319/schema"
	xmlns:io31="http://www.istandaarden.nl/iwlz/2_4/io31/schema"
	xmlns:zk31="http://www.istandaarden.nl/iwlz/2_4/zk31/schema"
	xmlns:zk33="http://www.istandaarden.nl/iwlz/2_4/zk33/schema"
	xmlns:zk35="http://www.istandaarden.nl/iwlz/2_4/zk35/schema"
	xmlns:zk39="http://www.istandaarden.nl/iwlz/2_4/zk39/schema"
>
	<!-- iWlz 2.4 TR101 version 2.9.3 (2022-06-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR101simple"/>
	<xsl:template match="*" mode="TR101generic"/>
	<xsl:template match="*" mode="TR101">
		<xsl:apply-templates select="*" mode="TR101simple"/>
		<xsl:apply-templates select="*" mode="TR101generic"/>
	</xsl:template>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR101"/>
	</xsl:template>

	<!-- AW317 -->
	<xsl:template match="aw317:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw317:GeindiceerdZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw317:Indicatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'VolgnummerIndicatie']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:Indicatie[*[local-name() = 'VolgnummerIndicatie']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:Indicatie[*[local-name() = 'VolgnummerIndicatie']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:Indicatie[(not(*[local-name() = 'VolgnummerIndicatie']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:Indicatie[(not(*[local-name() = 'VolgnummerIndicatie']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw317:WachtlijstZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Leveringsvorm']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw317:WachtlijstZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- AW33 -->
	<xsl:template match="aw33:Beperking" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Categorie']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Beperking[*[local-name() = 'Categorie']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Beperking[*[local-name() = 'Categorie']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Beperking[(not(*[local-name() = 'Categorie']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Beperking[(not(*[local-name() = 'Categorie']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:BeperkingScore" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Vraag']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:BeperkingScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:BeperkingScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:BeperkingScore[(not(*[local-name() = 'Vraag']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:BeperkingScore[(not(*[local-name() = 'Vraag']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:Contact" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Soort']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Contact[(not(*[local-name() = 'Soort']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Contact[(not(*[local-name() = 'Soort']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:GeindiceerdZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:Indicatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Afgiftedatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:Relatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Nummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Relatie[(not(*[local-name() = 'Nummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Relatie[(not(*[local-name() = 'Nummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:Stoornis" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'DiagnoseCodelijst']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Grondslag']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'ZiektebeeldStoornis']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:StoornisScore" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Vraag']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:StoornisScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:StoornisScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:StoornisScore[(not(*[local-name() = 'Vraag']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:StoornisScore[(not(*[local-name() = 'Vraag']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw33:ToegewezenZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Leveringsvorm']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- AW35 -->
	<xsl:template match="aw35:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw35:GeleverdZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Begindatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'Leveringsvorm']/text()" />
		<xsl:variable name="vMatch4" select="*[local-name() = 'ToewijzingIngangsdatum']/text()" />
		<xsl:variable name="vMatch5" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- AW39 -->
	<xsl:template match="aw39:Aanvraag" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Afgiftedatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw39:AanvraagInstelling" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ToewijzingIngangsdatum']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:AanvraagInstelling[*[local-name() = 'Instelling']/text() = $vMatch0 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:AanvraagInstelling[*[local-name() = 'Instelling']/text() = $vMatch0 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:AanvraagInstelling[*[local-name() = 'Instelling']/text() = $vMatch0 and (not(*[local-name() = 'ToewijzingIngangsdatum']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:AanvraagInstelling[*[local-name() = 'Instelling']/text() = $vMatch0 and (not(*[local-name() = 'ToewijzingIngangsdatum']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:AanvraagInstelling[(not(*[local-name() = 'Instelling'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:AanvraagInstelling[(not(*[local-name() = 'Instelling'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:AanvraagInstelling[(not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ToewijzingIngangsdatum']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:AanvraagInstelling[(not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ToewijzingIngangsdatum']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw39:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="aw39:MutatieZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Leveringsvorm']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'Mutatiedatum']/text()" />
		<xsl:variable name="vMatch4" select="*[local-name() = 'ToewijzingIngangsdatum']/text()" />
		<xsl:variable name="vMatch5" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::aw39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- CA317 -->
	<xsl:template match="ca317:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::ca317:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::ca317:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::ca317:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::ca317:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="ca317:GeleverdeZorg" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'GeleverdeZorgID']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::ca317:GeleverdeZorg[*[local-name() = 'GeleverdeZorgID']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::ca317:GeleverdeZorg[*[local-name() = 'GeleverdeZorgID']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::ca317:GeleverdeZorg[(not(*[local-name() = 'GeleverdeZorgID']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::ca317:GeleverdeZorg[(not(*[local-name() = 'GeleverdeZorgID']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- CA319 -->
	<xsl:template match="ca319:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::ca319:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::ca319:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::ca319:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::ca319:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="ca319:MutatieZorg" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'MutatieZorgID']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::ca319:MutatieZorg[*[local-name() = 'MutatieZorgID']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::ca319:MutatieZorg[*[local-name() = 'MutatieZorgID']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::ca319:MutatieZorg[(not(*[local-name() = 'MutatieZorgID']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::ca319:MutatieZorg[(not(*[local-name() = 'MutatieZorgID']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- IO31 -->
	<xsl:template match="io31:Beperking" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Categorie']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Beperking[*[local-name() = 'Categorie']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Beperking[*[local-name() = 'Categorie']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Beperking[(not(*[local-name() = 'Categorie']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Beperking[(not(*[local-name() = 'Categorie']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="io31:BeperkingScore" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Vraag']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:BeperkingScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:BeperkingScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:BeperkingScore[(not(*[local-name() = 'Vraag']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:BeperkingScore[(not(*[local-name() = 'Vraag']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="io31:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="io31:Contact" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Soort']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Contact[(not(*[local-name() = 'Soort']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Contact[(not(*[local-name() = 'Soort']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="io31:GeindiceerdZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="io31:Indicatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Afgiftedatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="io31:Relatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Nummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Relatie[(not(*[local-name() = 'Nummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Relatie[(not(*[local-name() = 'Nummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="io31:Stoornis" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'DiagnoseCodelijst']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Grondslag']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'ZiektebeeldStoornis']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="io31:StoornisScore" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Vraag']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:StoornisScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:StoornisScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::io31:StoornisScore[(not(*[local-name() = 'Vraag']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::io31:StoornisScore[(not(*[local-name() = 'Vraag']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- ZK31 -->
	<xsl:template match="zk31:Beperking" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Categorie']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Beperking[*[local-name() = 'Categorie']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Beperking[*[local-name() = 'Categorie']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Beperking[(not(*[local-name() = 'Categorie']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Beperking[(not(*[local-name() = 'Categorie']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:BeperkingScore" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Vraag']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:BeperkingScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:BeperkingScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:BeperkingScore[(not(*[local-name() = 'Vraag']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:BeperkingScore[(not(*[local-name() = 'Vraag']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:Contact" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Soort']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Contact[(not(*[local-name() = 'Soort']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Contact[(not(*[local-name() = 'Soort']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:GeindiceerdZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:Indicatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Afgiftedatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:Relatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Nummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Relatie[(not(*[local-name() = 'Nummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Relatie[(not(*[local-name() = 'Nummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:Stoornis" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'DiagnoseCodelijst']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Grondslag']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'ZiektebeeldStoornis']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:StoornisScore" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Vraag']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:StoornisScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:StoornisScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:StoornisScore[(not(*[local-name() = 'Vraag']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:StoornisScore[(not(*[local-name() = 'Vraag']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk31:ToegewezenZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Leveringsvorm']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk31:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- ZK33 -->
	<xsl:template match="zk33:Beperking" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Categorie']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Beperking[*[local-name() = 'Categorie']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Beperking[*[local-name() = 'Categorie']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Beperking[(not(*[local-name() = 'Categorie']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Beperking[(not(*[local-name() = 'Categorie']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:BeperkingScore" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Vraag']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:BeperkingScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:BeperkingScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:BeperkingScore[(not(*[local-name() = 'Vraag']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:BeperkingScore[(not(*[local-name() = 'Vraag']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:Contact" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Soort']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Contact[(not(*[local-name() = 'Soort']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Contact[(not(*[local-name() = 'Soort']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:GeindiceerdZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:GeindiceerdZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:GeindiceerdZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:Indicatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Afgiftedatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Indicatie[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Indicatie[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:Relatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Nummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Relatie[(not(*[local-name() = 'Nummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Relatie[(not(*[local-name() = 'Nummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:Stoornis" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'DiagnoseCodelijst']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Grondslag']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'ZiektebeeldStoornis']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Stoornis[*[local-name() = 'DiagnoseCodelijst']/text() = $vMatch0 and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and *[local-name() = 'Grondslag']/text() = $vMatch1 and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and *[local-name() = 'ZiektebeeldStoornis']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:Stoornis[(not(*[local-name() = 'DiagnoseCodelijst'])) and (not(*[local-name() = 'Grondslag'])) and (not(*[local-name() = 'ZiektebeeldStoornis']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:StoornisScore" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Vraag']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:StoornisScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:StoornisScore[*[local-name() = 'Vraag']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:StoornisScore[(not(*[local-name() = 'Vraag']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:StoornisScore[(not(*[local-name() = 'Vraag']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk33:ToegewezenZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Ingangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Leveringsvorm']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[*[local-name() = 'Ingangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk33:ToegewezenZorgzwaartepakket[(not(*[local-name() = 'Ingangsdatum'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- ZK35 -->
	<xsl:template match="zk35:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk35:GeleverdZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Begindatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'Leveringsvorm']/text()" />
		<xsl:variable name="vMatch4" select="*[local-name() = 'ToewijzingIngangsdatum']/text()" />
		<xsl:variable name="vMatch5" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk35:GeleverdZorgzwaartepakket[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- ZK39 -->
	<xsl:template match="zk39:Aanvraag" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Afgiftedatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[*[local-name() = 'Afgiftedatum']/text() = $vMatch0 and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and *[local-name() = 'Besluitnummer']/text() = $vMatch1 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch2 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'ZzpCode']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Aanvraag[(not(*[local-name() = 'Afgiftedatum'])) and (not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk39:AanvraagInstelling" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ToewijzingIngangsdatum']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:AanvraagInstelling[*[local-name() = 'Instelling']/text() = $vMatch0 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:AanvraagInstelling[*[local-name() = 'Instelling']/text() = $vMatch0 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:AanvraagInstelling[*[local-name() = 'Instelling']/text() = $vMatch0 and (not(*[local-name() = 'ToewijzingIngangsdatum']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:AanvraagInstelling[*[local-name() = 'Instelling']/text() = $vMatch0 and (not(*[local-name() = 'ToewijzingIngangsdatum']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:AanvraagInstelling[(not(*[local-name() = 'Instelling'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:AanvraagInstelling[(not(*[local-name() = 'Instelling'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:AanvraagInstelling[(not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ToewijzingIngangsdatum']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:AanvraagInstelling[(not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'ToewijzingIngangsdatum']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk39:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="zk39:MutatieZorgzwaartepakket" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Besluitnummer']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Instelling']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Leveringsvorm']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'Mutatiedatum']/text()" />
		<xsl:variable name="vMatch4" select="*[local-name() = 'ToewijzingIngangsdatum']/text()" />
		<xsl:variable name="vMatch5" select="*[local-name() = 'ZzpCode']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[*[local-name() = 'Besluitnummer']/text() = $vMatch0 and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and *[local-name() = 'Instelling']/text() = $vMatch1 and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and *[local-name() = 'Leveringsvorm']/text() = $vMatch2 and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and *[local-name() = 'Mutatiedatum']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4 and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and *[local-name() = 'ToewijzingIngangsdatum']/text() = $vMatch4 and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and $vMatch5">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and *[local-name() = 'ZzpCode']/text() = $vMatch5]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4) and not($vMatch5)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::zk39:MutatieZorgzwaartepakket[(not(*[local-name() = 'Besluitnummer'])) and (not(*[local-name() = 'Instelling'])) and (not(*[local-name() = 'Leveringsvorm'])) and (not(*[local-name() = 'Mutatiedatum'])) and (not(*[local-name() = 'ToewijzingIngangsdatum'])) and (not(*[local-name() = 'ZzpCode']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
